Summary: KDE Frameworks 5 Tier 3 framework is foundation to build a primary user interface
Name:    kf5-plasma
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+ and BSD
URL:     https://invent.kde.org/frameworks/plasma
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/plasma-framework-%{version}.tar.xz
Source1: system-plasma-cache.sh.in
BuildRequires:  extra-cmake-modules >= %{majmin}, kf5-rpm-macros
BuildRequires:  kf5-kactivities-devel >= %{majmin}, kf5-kactivities-devel >= %{majmin}, kf5-karchive-devel >= %{majmin}, kf5-kconfig-devel >= %{majmin}, kf5-solid-devel >= %{majmin}
BuildRequires:  kf5-kconfigwidgets-devel >= %{majmin}, kf5-kcoreaddons-devel >= %{majmin}, kf5-kdbusaddons-devel >= %{majmin}, kf5-kdeclarative-devel >= %{majmin}
BuildRequires:  kf5-kdesu-devel >= %{majmin}, kf5-kdoctools-devel >= %{majmin}, kf5-kglobalaccel-devel >= %{majmin}, kf5-kguiaddons-devel >= %{majmin}
BuildRequires:  kf5-ki18n-devel >= %{majmin}, kf5-kiconthemes-devel >= %{majmin}, kf5-kio-devel >= %{majmin}, kf5-knotifications-devel >= %{majmin}
BuildRequires:  kf5-kpackage-devel >= %{majmin}, kf5-kparts-devel >= %{majmin}, kf5-kservice-devel >= %{majmin}, kf5-kirigami2-devel >= %{majmin}
BuildRequires:  kf5-kwayland-devel >= %{majmin}, kf5-kwidgetsaddons-devel >= %{majmin}, kf5-kwindowsystem-devel >= %{majmin}, kf5-kxmlgui-devel >= %{majmin}
BuildRequires:  libGL-devel, libSM-devel, libX11-devel, libxcb-devel, libXext-devel, libXrender-devel, libXScrnSaver-devel
BuildRequires:  openssl-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qtquickcontrols2-devel, qt5-qtscript-devel, qt5-qtsvg-devel, qt5-qtx11extras-devel

Requires: qt5-qtquickcontrols
Requires: qt5-qtquickcontrols2
Provides: plasma-framework = %{version}-%{release}

%global __provides_exclude_from ^%{_kf5_qmldir}/.*\\.so$


%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       kf5-kpackage-devel >= %{majmin}
Requires:       kf5-kservice-devel >= %{majmin}
Requires:       kf5-kwindowsystem-devel >= %{majmin}
Requires:       qt5-qtbase-devel
Provides:       plasma-framework-devel = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n plasma-framework-%{version} -p1
install -m644 -p %{SOURCE1} .


%build
%cmake_kf5
%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-man --all-name

mkdir -p %{buildroot}%{_kf5_datadir}/plasma/plasmoids
mkdir -p %{buildroot}%{_kf5_qmldir}/org/kde/private

mkdir -p %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/env
sed -e "s|@@VERSION@@|%{version}|g" system-plasma-cache.sh.in > \
  %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/env/system-plasma-cache.sh


%files -f %{name}.lang
%license LICENSES/*.txt
%doc README.md
%{_sysconfdir}/xdg/plasma-workspace/env/system-plasma-cache.sh
%{_kf5_bindir}/plasmapkg2
%{_kf5_libdir}/libKF5Plasma.so.*
%{_kf5_libdir}/libKF5PlasmaQuick.so.*
%{_kf5_datadir}/qlogging-categories5/*plasma*
%dir %{_kf5_qmldir}/org/
%dir %{_kf5_qmldir}/org/kde/
%dir %{_kf5_qmldir}/org/kde/private/
%{_kf5_qmldir}/org/kde/plasma/
%{_kf5_qmldir}/org/kde/kirigami.2/styles
%{_kf5_qmldir}/QtQuick/Controls/Styles/Plasma/
%{_kf5_qmldir}/QtQuick/Controls.2/Plasma/
%{_kf5_qtplugindir}/plasma/
%{_kf5_qtplugindir}/kpackage/packagestructure/*.so
%{_kf5_plugindir}/kirigami/
%{_kf5_datadir}/plasma/
%{_kf5_datadir}/kservicetypes5/*.desktop
%{_kf5_mandir}/man1/plasmapkg2.1.*
%lang(lt) %{_datadir}/locale/lt/LC_SCRIPTS/libplasma5/

%files devel
%{_kf5_libdir}/cmake/KF5Plasma/
%{_kf5_libdir}/cmake/KF5PlasmaQuick/
%{_kf5_libdir}/libKF5Plasma.so
%{_kf5_libdir}/libKF5PlasmaQuick.so
%{_kf5_includedir}/plasma/
%{_kf5_includedir}/Plasma/
%{_kf5_includedir}/PlasmaQuick/
%{_kf5_includedir}/plasmaquick/
%dir %{_kf5_datadir}/kdevappwizard/
%{_kf5_datadir}/kdevappwizard/templates/


%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.110.0-1
- initial
